RMDIR(1)

NAME
rmdir - remove (delete) a directory

SYNOPSIS
rmdir [ -p ] dir ...

DESCRIPTION
rmdir will delete all the listed directories. rmdir will print an error and skip the file if dir is not a directory, is non-empty, or if the user does not have permission to delete it.

If the -p flag is given, then rmdir will attempt to recursively delete all empty directories in the pathname dir, not including the volume name (if given).

BUGS
It is possible to delete the current directory of rmdir or another process.

VERSION
This manual page documents rmdir version 1.1.

STANDARDS
The rmdir utility corresponds to POSIX 1003.2.

AUTHOR
Devin Reade, <gdr@myrias.ab.ca>

This program contains material from the ORCA/C run-time libraries, Copyright 1987-1997 Byte Works Inc. Used with permission.

SEE ALSO
cp(1), rm(1), rmdir(1), rmdir(2).